Skip to main content
`Ctrl`+`K`

# PetscPopSignalHandler

Removes the last signal handler that was pushed. If no signal handlers are left on the stack it will remove the PETSc signal handler. (That is PETSc will no longer catch signals).

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscPopSignalHandler(void)

Not Collective

## Note

There is no way to return to a signal handler that was set directly by the user with the UNIX signal handler API or by the loader. That information is lost with the first call to `PetscPushSignalHandler()`

## See Also

Error Handling, `PetscPushSignalHandler()`

## Level

developer

## Location

src/sys/error/signal.c

## Examples

src/snes/tutorials/ex30.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages